> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ワークスペースを更新

> ワークスペース名を更新します。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json PATCH /v1/public/accounts/{account_id}/workspaces/{workspace_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces/{workspace_id}:
    patch:
      tags:
        - public-accounts
        - public-workspaces
      summary: ワークスペースを更新
      description: ワークスペース名を更新します。
      operationId: >-
        update_public_workspace_v1_public_accounts__account_id__workspaces__workspace_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceRequest:
      description: ワークスペースを作成または更新する要求スキーマ。
      properties:
        name:
          description: ワークスペースの表示名
          maxLength: 255
          minLength: 1
          title: 名前
          type: string
      required:
        - name
      title: Workspaceリクエスト
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: ワークスペースを所有するアカウント UUID
          format: uuid
          title: アカウントID
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: ワークスペース作成のタイムスタンプ
          title: 作成日時
        id:
          description: ワークスペースUUID
          format: uuid
          title: ID
          type: string
        name:
          description: ワークスペースの表示名
          title: 名前
          type: string
        status:
          default: active
          description: ワークスペースのライフサイクルステータス
          title: ステータス
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: ワークスペースの最終更新タイムスタンプ
          title: 更新日時
      required:
        - id
        - name
        - account_id
      title: Workspaceレスポンス
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````